petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscOptionsClear

Removes all options form the database leaving it empty.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsClear(PetscOptions options)

### Input Parameters

options -options database, use NULL for the default global database

### See Also

PetscOptionsInsert()

Level:developer
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages